com.dlsc.flexgantt.swing.layer

## Class LayerContainerScrollPaneLayout

- java.lang.Object
- - javax.swing.ScrollPaneLayout
  - - com.dlsc.flexgantt.swing.layer.LayerContainerScrollPaneLayout

- All Implemented Interfaces:
    LayoutManager, Serializable, ScrollPaneConstants

      public class LayerContainerScrollPaneLayout
      extends ScrollPaneLayout

  A specialization of the standard scrollpane layout manager so that additional controls can be shown next to the scrollbars. These are ideal places for adding small controls that need to be accessed quickly and often.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `PagingControlPanel`, `NavigationControlPanel`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.ScrollPaneLayout

      `ScrollPaneLayout.UIResource`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.ScrollPaneLayout

      `colHead, hsb, hsbPolicy, lowerLeft, lowerRight, rowHead, upperLeft, upperRight, viewport, vsb, vsbPolicy`

    - ### Fields inherited from interface javax.swing.ScrollPaneConstants

      `COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayerContainerScrollPaneLayout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `layoutContainer(Container parent)`

    - ### Methods inherited from class javax.swing.ScrollPaneLayout

      `addLayoutComponent, addSingletonComponent, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorderBounds, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, setHorizontalScrollBarPolicy, setVerticalScrollBarPolicy, syncWithScrollPane`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayerContainerScrollPaneLayout

          public LayerContainerScrollPaneLayout()

  - ### Method Detail

    - #### layoutContainer

          public void layoutContainer(Container parent)

      Specified by:
        `layoutContainer` in interface `LayoutManager`
      Overrides:
        `layoutContainer` in class `ScrollPaneLayout`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.